Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 1259df9500410b59c3a56d9cf8d54624b53f97da)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
@@ -61,5 +61,6 @@
 {
   // sign on as observer (obtain non-const instance before)
-  const atom *_atom = World::getInstance().getAtom(AtomById(atomicid));
+  const atom * const _atom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(atomicid));
   if (_atom != NULL) {
     _atom->signOn(this, AtomObservable::IndexChanged);
@@ -82,5 +83,6 @@
 GLMoleculeObject_atom::~GLMoleculeObject_atom()
 {
-  const atom *_atom = World::getInstance().getAtom(AtomById(atomicid));
+  const atom * const _atom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(atomicid));
   if (_atom != NULL){
     _atom->signOff(this, AtomObservable::IndexChanged);
@@ -102,5 +104,6 @@
 void GLMoleculeObject_atom::resetPosition()
 {
-  const atom *_atom = World::getInstance().getAtom(AtomById(atomicid));
+  const atom * const _atom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(atomicid));
   if (_atom != NULL) {
     const Vector Position = _atom->getPosition();
@@ -116,5 +119,6 @@
 {
   size_t elementno = 0;
-  const atom *_atom = World::getInstance().getAtom(AtomById(atomicid));
+  const atom * const _atom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(atomicid));
   const element *_type = NULL;
   if (_atom != NULL) {
@@ -192,5 +196,6 @@
 void GLMoleculeObject_atom::recieveNotification(Observable *publisher, Notification_ptr notification)
 {
-  const atom *_atom = World::getInstance().getAtom(AtomById(atomicid));
+  const atom * const _atom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(atomicid));
   if (publisher == dynamic_cast<const Observable*>(_atom)){
     // notofication from atom
@@ -212,5 +217,6 @@
       case AtomObservable::BondsAdded:
       {
-        const atom *_atom = World::getInstance().getAtom(AtomById(atomicid));
+        const atom * const _atom = const_cast<const World &>(World::getInstance()).
+            getAtom(AtomById(atomicid));
         if (_atom != NULL) {
           // make sure position is up-to-date
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision 1259df9500410b59c3a56d9cf8d54624b53f97da)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_bond.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
@@ -91,5 +91,6 @@
     case left:
     {
-      const atom *_rightatom = World::getInstance().getAtom(AtomById(rightatomId));
+      const atom * const _rightatom = const_cast<const World &>(World::getInstance()).
+          getAtom(AtomById(rightatomId));
       if (_rightatom->getType() != NULL) {
         elementno = _rightatom->getType()->getAtomicNumber();
@@ -101,5 +102,6 @@
     case right:
     {
-      const atom *_leftatom = World::getInstance().getAtom(AtomById(leftatomId));
+      const atom * const _leftatom = const_cast<const World &>(World::getInstance()).
+          getAtom(AtomById(leftatomId));
       if (_leftatom->getType() != NULL) {
         elementno = _leftatom->getType()->getAtomicNumber();
@@ -138,5 +140,6 @@
   // from the AtomObservable itself
   if (leftobservable_enabled) {
-    const atom *_leftatom = World::getInstance().getAtom(AtomById(leftatomId));
+    const atom * const _leftatom = const_cast<const World &>(World::getInstance()).
+        getAtom(AtomById(leftatomId));
     if (_leftatom != NULL) {
       _leftatom->signOff(this);
@@ -152,5 +155,6 @@
   // from the AtomObservable itself
   if (rightobservable_enabled) {
-    const atom *_rightatom = World::getInstance().getAtom(AtomById(rightatomId));
+    const atom * const _rightatom = const_cast<const World &>(World::getInstance()).
+        getAtom(AtomById(rightatomId));
     if (_rightatom != NULL) {
       _rightatom->signOff(this);
@@ -172,5 +176,6 @@
   // from the AtomObservable itself
   if (leftobservable_enabled) {
-    const atom *_leftatom = World::getInstance().getAtom(AtomById(leftatomId));
+    const atom * const _leftatom = const_cast<const World &>(World::getInstance()).
+        getAtom(AtomById(leftatomId));
     if (_leftatom != NULL) {
       _leftatom->signOff(this, AtomObservable::PositionChanged);
@@ -182,5 +187,6 @@
   }
   if (rightobservable_enabled) {
-    const atom *_rightatom = World::getInstance().getAtom(AtomById(rightatomId));
+    const atom * const _rightatom = const_cast<const World &>(World::getInstance()).
+        getAtom(AtomById(rightatomId));
     if (_rightatom != NULL) {
       _rightatom->signOff(this, AtomObservable::PositionChanged);
@@ -349,7 +355,9 @@
   Vector Position;
   Vector OtherPosition;
-  const atom *_leftatom = World::getInstance().getAtom(AtomById(leftatomId));
+  const atom * const _leftatom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(leftatomId));
   Vector LeftPos = _leftatom->getPosition();
-  const atom *_rightatom = World::getInstance().getAtom(AtomById(rightatomId));
+  const atom * const _rightatom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(rightatomId));
   Vector RightPos = _rightatom->getPosition();
   switch (BondSide) {
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 1259df9500410b59c3a56d9cf8d54624b53f97da)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
@@ -567,5 +567,6 @@
 
   // add all bonds
-  const atom *Walker = World::getInstance().getAtom(AtomById(_id));
+  const atom * const Walker = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(_id));
   if (Walker != NULL)
     addAtomBonds(Walker);
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 1259df9500410b59c3a56d9cf8d54624b53f97da)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
@@ -143,5 +143,6 @@
 {
    LOG(3, "INFO: GLMoleculeObject_molecule - atom " << no << " has been clicked.");
-   const atom *Walker = World::getInstance().getAtom(AtomById(no));
+   const atom * const Walker = const_cast<const World &>(World::getInstance()).
+       getAtom(AtomById(no));
    if (selectionMode == SelectAtom){
      if (!World::getInstance().isSelected(Walker))
@@ -184,5 +185,6 @@
   LOG(3, "INFO: GLWorldScene: Received signal atomInserted for atom "+toString(_id)+".");
   // find associated molecule
-  const atom *_atom = World::getInstance().getAtom(AtomById(_id));
+  const atom * const _atom = const_cast<const World &>(World::getInstance()).
+      getAtom(AtomById(_id));
   if (_atom != NULL) {
     const moleculeId_t molid = _atom->getMolecule()->getId();
Index: src/UIElements/Views/Qt4/QtFragmentList.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtFragmentList.cpp	(revision 1259df9500410b59c3a56d9cf8d54624b53f97da)
+++ src/UIElements/Views/Qt4/QtFragmentList.cpp	(revision f01769bf04baacedde88443ce16ab2f2dd809f30)
@@ -133,5 +133,6 @@
           indexiter != (*keyiter)->end();
           ++indexiter) {
-        const atom *_atom = World::getInstance().getAtom(AtomById(*indexiter));
+        const atom * const _atom = const_cast<const World &>(World::getInstance()).
+            getAtom(AtomById(*indexiter));
         if (_atom != NULL)
           formula.addElements(_atom->getElementNo(), 1);
